
Name:		accounts-qml-module
Version:	0.7
Release:	%mkrel 1
Summary:	QML module to manage the user's online accounts
License:	LGPLv2+
Group:		System/Libraries
Url:		https://gitlab.com/accounts-sso/accounts-qml-module
Source0:	https://gitlab.com/accounts-sso/%{name}/-/archive/VERSION_%{version}/%{name}-VERSION_%{version}.tar.bz2
Patch1:		0001-add-a-CONFIG_no_docs-option-to-skip-building-documentation.patch
Patch2:		0002-Build-add-qmltypes-file-to-repository.patch

%description
This QML module provides an API to manage the user's online accounts and get
their authentication data. It's a tiny wrapper around the Qt-based APIs of
libaccounts-qt and libsignon-qt.

%files
%{_qt5_qml}/Ubuntu/

#------------------------------------------------------------------------------

%package	doc
Summary:	Documentation for %{name} 
BuildArch:	noarch

%description	doc
This package contains the developer documentation for accounts-qml-module.

%files doc
%doc %{_datadir}/%{name}/

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-VERSION_%{version}
%apply_patches

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

## unpackaged files
# remove tests
rm %{buildroot}%{_bindir}/tst_plugin
# avoid rpmlint warning
rm -fv %{buildroot}/%{_datadir}/%{name}/doc/html/.gitignore


%changelog
* Fri Feb 14 2020 tex - 0.7-1pclos2020
- initial package accounts-qml-module (needed for plasma >= 5.18)

